Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/Vocapia2TranscriberMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/Vocapia2TranscriberMacro.groovy	(revision 3459)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/Vocapia2TranscriberMacro.groovy	(revision 3460)
@@ -5,16 +5,16 @@
 import org.txm.utils.*
 import org.txm.utils.logger.*
 
-@Field @Option(name="vocapiaFile", usage="A single vocapia XML file", widget="FileOpen", required=false, def="")
+@Field @Option(name="vocapiaFile", usage="A single vocapia XML file", widget="FileOpen", required=true, def="")
 		File vocapiaFile;
 
-@Field @Option(name="vocapiaDirectory", usage="A Vocapia XML files directory to process", widget="Folder", required=false, def="")
+@Field @Option(name="vocapiaDirectory", usage="A Vocapia XML files directory to process", widget="Folder", required=true, def="")
 		File vocapiaDirectory;
 
-@Field @Option(name="resultDirectory", usage="The result directory", widget="Folder", required=false, def="")
+@Field @Option(name="resultDirectory", usage="The result directory", widget="Folder", required=true, def="")
 		File resultDirectory;
 		
-@Field @Option(name="additionalSpeakers", usage="The result directory", widget="String", required=false, def="")
+@Field @Option(name="additionalSpeakers", usage="The result directory", widget="String", required=true, def="")
 		def additionalSpeakers;
 		additionalSpeakers
 		
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/projects/nov13/PrepareTranscriptionsMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/projects/nov13/PrepareTranscriptionsMacro.groovy	(revision 3459)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/projects/nov13/PrepareTranscriptionsMacro.groovy	(revision 3460)
@@ -48,9 +48,8 @@
 println "CONVERTING VOCAPIA FILES TO TRS FILES..."
 File trsDirectory = new File(resultDirectory, "vocapia2trs")
 trsDirectory.mkdir()
-gse.runMacro(org.txm.macro.transcription.Vocapia2TranscriberMacro, ["vocapiaDirectory":vocapiaDirectory, "resultDirectory":trsDirectory, "additionalSpeakers": "UX1:UX1", "debug":debug])
+gse.runMacro(org.txm.macro.transcription.Vocapia2TranscriberMacro, ["vocapiaFile":new File("this file does not exists"), "vocapiaDirectory":vocapiaDirectory, "resultDirectory":trsDirectory, "additionalSpeakers": "UX1:UX1", "debug":debug])
 
-
 println "SPOTTING SECTION MARKS..."
 
 trsFiles = trsDirectory.listFiles().findAll(){it.getName().toLowerCase().endsWith(".trs")}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 3459)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 3460)
@@ -420,8 +420,11 @@
 				
 				// set default value in the fields, not enough if args contains the value
 				String value = defaultValues.getProperty(option.name());
+				String value2 = ""+args.get(option.name());
 				if (value != null) { // set the default value using the properties stored
 					widget.setDefault(value);
+				} else if (value2 != null) { // set the default value using the properties stored
+					widget.setDefault(value2);
 				}
 			}
 		}
@@ -484,6 +487,7 @@
 	 */
 	private void initializeMacroVariables() {
 		// System.out.println("Initialize macro variables of "+fieldNames);
+		
 		if (bean == null) return;
 		
 		Class c = bean.getClass();
@@ -613,7 +617,7 @@
 					// check names
 					Class c = bean.getClass();
 					Log.finest("Parsing options: " + parser.getOptions());
-					for (OptionHandler opt : parser.getOptions()) {
+					for (OptionHandler opt : parser.getOptions()) { // pre set variable using the defaultArgs binding
 						try {
 							if (opt.option instanceof NamedOptionDef) {
 								NamedOptionDef option = (NamedOptionDef) opt.option;
@@ -637,6 +641,8 @@
 						
 						ArrayList missingParameters = dialog.getParametersToSet();
 						ArrayList missingMandatoryParameters = dialog.getMandatoryParametersToSet();
+						
+						dialog.initializeMacroVariables(); // with args
 						if (missingParameters.size() > 0) {
 							Log.finer("The parameters dialog must be opened to fill parameters " + missingParameters + " and all mandatory fields: " + missingMandatoryParameters);
 							retOpen = dialog.open() == ParametersDialog.OK;
@@ -644,7 +650,6 @@
 						}
 						else { // fields initialized by 'args'
 							Log.finest("The parameters dialog dont need to be opened all mandatory fields are set: " + args);
-							dialog.initializeMacroVariables(); // with args
 							if (dialog.getNumberOfFields() > 0) dialog.saveParameters();
 							retOpen = true;
 							errorOpen = false;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 3459)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 3460)
@@ -187,21 +187,24 @@
 			}
 		}
 		
+		AnnotationEnginesManager aem = (AnnotationEnginesManager) Toolbox.getEngineManager(EngineType.ANNOTATION);
+		HashMap<CorpusBuild, ArrayList<AnnotationEngine>> notSaved = aem.getEnginesWithSaveNeededPerCorpus();
+		
+		StringBuilder mess = new StringBuilder();
+		
 		if (altered.size() > 0) {
-			StringBuilder mess = new StringBuilder();
+			
 			mess.append(TXMUIMessages.SomeResultHaveBeenMannuallyModified);
 			for (TXMResult result : altered) {
 				mess.append("\n- "+result.getName()+ " ("+result.getResultType()+") : "+result.getSimpleDetails()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
-			mess.append("\n\n"+TXMUIMessages.YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue); //$NON-NLS-1$
-			return MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), TXMUIMessages.SomeResultHaveBeenManuallyModified, mess.toString());
+			mess.append("\n\n"+TXMUIMessages.YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue); //$NON-NLS-1$ //$NON-NLS-2$
+			//return MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), TXMUIMessages.SomeResultHaveBeenManuallyModified, mess.toString());
 		}
 		
-		AnnotationEnginesManager aem = (AnnotationEnginesManager) Toolbox.getEngineManager(EngineType.ANNOTATION);
-		HashMap<CorpusBuild, ArrayList<AnnotationEngine>> notSaved = aem.getEnginesWithSaveNeededPerCorpus();
 		if (notSaved.size() > 0) {
-			StringBuilder mess = new StringBuilder();
-			mess.append( TXMUIMessages.SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed);
+			if (mess.length() > 0) mess.append("\n\n");
+			mess.append(TXMUIMessages.SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed);
 			for (CorpusBuild corpus : notSaved.keySet())  {
 				mess.append("\n- "+corpus.getName()+": "+corpus.getSimpleDetails()); //$NON-NLS-1$ //$NON-NLS-2$
 				for (AnnotationEngine a: notSaved.get(corpus)) {
@@ -209,11 +212,22 @@
 				}
 			}
 			mess.append(TXMUIMessages.ContinueAndLostTheUnsavedAnnotations);
-			if(!MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), TXMUIMessages.SomeAnnotationsAreNotSaved, mess.toString())) {
+		}
+		
+		if (altered.size() > 0 || notSaved.size() > 0) {
+			String title = "";
+			if (altered.size() > 0) title += TXMUIMessages.SomeResultHaveBeenManuallyModified;
+			if (notSaved.size() > 0) {
+				if (title.length() > 0) title += " & ";
+				title += TXMUIMessages.SomeAnnotationsAreNotSaved;
+			}
+			
+			mess.append("\n\nContinue ?");
+			
+			if(!MessageDialog.openConfirm(this.getWindowConfigurer().getWindow().getShell(), title, mess.toString())) {
 				return false;
 			}
 		}
-		
 		return true;
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3459)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3460)
@@ -1232,7 +1232,7 @@
 ClosingTheP0Corpus=Closing corpus 
 CommonSourcesLangOfTreeTaggerModels=Sources lang (show only the TreeTagger common language)
 CompilingP0Etc=Compiling {0}...
-ContinueAndLostTheUnsavedAnnotations=\n\nContinue and lost the unsaved annotations 
+ContinueAndLostTheUnsavedAnnotations=\n\nUnsaved annotations will be lost 
 ConvertingEtc=Converting...
 CopingFilesP0=Coping files: 
 Copy=Copy
@@ -1284,4 +1284,4 @@
 WorkspacePathCouldNotBeFound=Workspace path could not be found.
 xmlTagNameThatEncodesWords=XML tag name that encodes words
 YouNeedToSetAsManyPercentSPrintfMarksAsSelectedProperties=you need to set as many %s printf marks as selected properties.
-YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue=You're going to lost those modifications if not already exported. Continue?
+YouReGoingToLostThoseModificationsIfNotAlreadyExportedContinue=You're going to lost those modifications if not already exported.
